<?xml version="1.0" encoding="utf-8"?>
<creole>
    <files>
        <file name="/etc/apparmor.d/abstractions/libvirt-qemu" source="apparmor-libvirt-qemu" filelist='deploiement_automatique'/>
    </files>
    <containers>
    </containers>
    <variables>
        <family name='services'>
            <variable name='activer_deploiement_automatique' type='oui/non' description="Activer le déploiement automatique des machines virtuelles" mode='expert'>
                <value>non</value>
            </variable>
        </family>
        <family name='déploiement auto' icon='desktop'>
            <!-- Mode de déploiement -->
            <!--  - site: déployer des établissements -->
            <!--  - liste manuelle: déployer des serveurs avec leur ID zéphir -->
            <!--  - mixte: faire les deux -->
            <variable name='dp_mode' type='string' description="Mode de déploiement">
                <value>site</value>
            </variable>
            <!-- Mode Site -->
            <variable name='zephir_numero_etab' type='string' description="Numéros établissements" multi='True'/>
            <!-- Mode Liste -->
            <variable name='dp_server_id_list' type='string' description="Liste des ID Zéphir" multi='True'/>
            <!-- CA Zephir -->
            <variable name='zephir_ca' type='oui/non' description="Utiliser un fichier de CA spécifique pour Zéphir">
                <value>oui</value>
            </variable>
            <variable name='zephir_ca_file' type='string' description="Chemin complet du fichier de CA à utiliser">
                <value>/usr/local/share/ca-certificates/zephir.crt</value>
            </variable>
        </family>
        <separators>
        </separators>
    </variables>

    <constraints>
        <check name='valid_enum' target='dp_mode'>
            <param>["site", "liste manuelle", "mixte"]</param>
        </check>

        <condition name='disabled_if_in' source='dp_mode'>
            <param>site</param>
            <target type='variable'>dp_server_id_list</target>
        </condition>

        <condition name='disabled_if_in' source='dp_mode'>
            <param>liste manuelle</param>
            <target type='variable'>zephir_numero_etab</target>
        </condition>

        <condition name='disabled_if_in' source='zephir_ca'>
            <param>non</param>
            <target type='variable'>zephir_ca_file</target>
        </condition>

        <fill name='calc_val' target='zephir_numero_etab'>
            <param type='eole'>numero_etab</param>
        </fill>

        <condition name='disabled_if_in' source='activer_deploiement_automatique'>
            <param>non</param>
            <target type='family'>déploiement auto</target>
            <target type='filelist'>deploiement_automatique</target>
        </condition>

    </constraints>

    <help>
    </help>

</creole>
<!-- vim: ts=4 sw=4 expandtab
-->
